Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.RemoveValueAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.RemoveValueAction<T>

All Implemented Interfaces:
  Graph.Conjunction<T>, Graph.FromName<Graph.On<T>>, Graph.RemoveValue<T>

Enclosing class:
  Graph

    public abstract class Graph.RemoveValueAction<T>

extends Graph.AbstractAction<T>
implements Graph.RemoveValue<T>

Field Summary
`protected List<Object>` | `values`
`protected String` | `workspaceName`

Constructor Summary
`protected` | `Graph.RemoveValueAction(T afterConjunction, String workspaceName, Object firstValue)`

Method Summary
`Graph.RemoveValue<T>` | `andValue(Object nextValue)` Specifies an additional value to be removed
`Graph.On<T>` | `from(Name name)`
`Graph.On<T>` | `from(String name)`
`protected abstract T` | `submit(String workspaceName, Location on, Name property, List<Object> values)`

Methods inherited from class org.modeshape.graph.Graph.AbstractAction
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workspaceName

    protected final String workspaceName

### values

    protected final List<Object> values

Constructor Detail

### Graph.RemoveValueAction

    protected Graph.RemoveValueAction(T afterConjunction,
                                      String workspaceName,
                                      Object firstValue)

Method Detail

### andValue

    public Graph.RemoveValue<T> andValue(Object nextValue)

  Description copied from interface: `Graph.RemoveValue`
  Specifies an additional value to be removed

  Specified by:
    `andValue` in interface `Graph.RemoveValue<T>`
  Parameters:
    `nextValue` - the value to be removed
  Returns:
    an object that allows additional values to be specified for removal or for their location to be specified

### from

    public Graph.On<T> from(String name)

  Specified by:
    `from` in interface `Graph.FromName<Graph.On<T>>`

### from

    public Graph.On<T> from(Name name)

  Specified by:
    `from` in interface `Graph.FromName<Graph.On<T>>`

### submit

    protected abstract T submit(String workspaceName,
                                Location on,
                                Name property,
                                List<Object> values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.